Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project.validator
Class ValidationInfo

    java.lang.Object
      org.apache.cayenne.project.validator.ValidationInfo

    public class ValidationInfo

extends Object

ValidationInfo encapsulates information about a single node validation on the project tree.

Author:
  Andrus Adamchik

Field Summary
`static int` | `ERROR`
`protected String` | `message`
`protected ProjectPath` | `path`
`protected int` | `severity`
`static int` | `VALID`
`static int` | `WARNING`

Constructor Summary
`ValidationInfo(int severity, String message, ProjectPath path)` Constructor for ValidationInfo.

Method Summary
`String` | `getMessage()` Returns the message.
`ProjectPath` | `getPath()` Returns the ProjectPath object identifing a location described by this ValidationInfo.
`int` | `getSeverity()` Returns the severity.
`Object` | `getValidatedObject()`
`Object` | `getValidatedObjectParent()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALID

    public static final int VALID

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### path

    protected ProjectPath path

### message

    protected String message

### severity

    protected int severity

Constructor Detail

### ValidationInfo

    public ValidationInfo(int severity,
                          String message,
                          ProjectPath path)

  Constructor for ValidationInfo.

Method Detail

### getValidatedObject

    public Object getValidatedObject()

### getValidatedObjectParent

    public Object getValidatedObjectParent()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMessage

    public String getMessage()

  Returns the message.

  Returns:
    String

### getSeverity

    public int getSeverity()

  Returns the severity.

  Returns:
    int

### getPath

    public ProjectPath getPath()

  Returns the ProjectPath object identifing a location described by this ValidationInfo.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.